function SCP_PlayerCheckup(%player) //You have to call this for each player at the start
{
   cancel(%player.scpcheckup);
	if(!isObject(%player) || %player.getDatablock().getName() !$= "PlayerBlinking") return;
	%player.checkup = true;
	%energy = %player.getEnergyLevel();
	if(%energy <= 3 && %player.getState() !$= "Dead")
	{
		%player.setEnergyLevel(100);
		%player.onBlink();
	}
	%player.scpcheckup = schedule(100, 0, "SCP_PlayerCheckup", %player);
}
function Player::onBlink(%this)
{
   //Call other stuff here!!!
   
   %this.isBlinking = 1;
   %this.mountImage(scpcoverimage,2);
   cancel(%this.unblink);
   %this.unblink = schedule(200,0,eval,%this@".isBlinking = 0;");
   cancel(%this.UnCover);
   %this.unCover = schedule(200,0,eval,%this@".unmountImage(2);");
}
datablock PlayerData(PlayerBlinking : PlayerStandardArmor)
{
	rechargeRate = -0.75;
	firstPersonOnly = 1;
	runEnergyDrain = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	uiName = "SCP Player";
	showEnergyBar = 1;
	jumpforce = 0;
	
	maxForwardSpeed = 4;
	maxBackwardSpeed = 4;
	maxSideSpeed = 4;
	maxForwardCrouchSpeed = 1.5; //Crouch is super slow, but you can make these 0 if you don't want the player to move while crouching
	maxBackwardCrouchSpeed = 1.5;
	maxSideCrouchSpeed = 1.5;
	maxUnderwaterForwardSpeed = 4;
	maxUnderwaterBackwardSpeed = 4;
	maxUnderwaterSideSpeed = 4;
	maxTools = 6;
	maxWeapons = 6;
};
datablock ShapeBaseImageData(scpcoverimage)
{
	shapeFile					= "./cover.dts";
	emap						   = true;
	mountPoint					= 5;
	size                   = "0 0 0";
	offset						= "0 0 0";
	eyeoffset 					= "0 0.2 0";
	rotation					   = eulerToMatrix( "0 0 0" );
	doColorShift = true;
	colorShiftColor = "1 1 1 1";
};
package scpplayer
{
   function Armor::onTrigger(%data,%player,%slot,%io)
	{
		%client = %player.client;
      if(%slot == 2 && %io && %player.getDatablock().getName() $= "PlayerBlinking")
      {
         if(!%player.checkup)
            SCP_PlayerCheckup(%player);
      }
		Parent::onTrigger(%data,%player,%slot,%io);
	}
	function Player::setDatablock(%this,%data)
	{
	   Parent::setDatablock(%this,%data);
	   if(%data.getName() $= "PlayerBlinking" && !%this.checkup)
	      SCP_PlayerCheckup(%this);
	}
};
activatepackage(scpplayer);